#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# see benchsimple.py
# configuration for Chameleon

config = {

"template" : """\
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
          "http://www.w3.org/TR/html4/loose.dtd">
<html>

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <style type="text/css">
	tr.row1 { background-color: #00ffff; }
	tr.row2 { background-color: #ffff00; }
	td.red  { background-color: #ff0000; }
    </style>

    <title>Benchsimple | ${title}</title>
</head>

<body>
    <h1>Benchsimple | ${title}</h1>
    <ul id="nav">
        <li tal:repeat="data navigation"><a tal:attributes="href data.href; id string:btn-${repeat.data.number()}" tal:content="data.caption"></a></li>
    </ul>

    <table><div tal:omit-tag="" tal:repeat="row table"><div tal:omit-tag="" tal:switch="repeat.row.number % 2">
        <tr tal:case="1" class="row1"><div tal:omit-tag="" tal:repeat="col row"><div tal:omit-tag="" tal:switch="col == highlight">
            <td tal:case="True" class="red" tal:content="col"></td><td tal:case="False" tal:content="col"></td></div></div>
        </tr>
        <tr tal:case="0" class="row2"><div tal:omit-tag="" tal:repeat="col row"><div tal:omit-tag="" tal:switch="col == highlight">
            <td tal:case="True" class="red" tal:content="col"></td><td tal:case="False" tal:content="col"></td></div></div>
        </tr>
    </div></div></table>

</body>
</html>
""",

"module"   : "chameleon",
"import"   : "from chameleon import PageTemplate",
"complete" : """t = PageTemplate(template); r=t(**context_dict)""",
"parse"    : """t = PageTemplate(template)""",
"render"   : """r=t(**context_dict)"""
}

#-----------------------------------------

