#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# see benchsimple.py
# configuration for cubictemp 2.0

config = {

"template" : """\
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
          "http://www.w3.org/TR/html4/loose.dtd">
<html>

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <style type="text/css">
	tr.row1 { background-color: #00ffff; }
	tr.row2 { background-color: #ffff00; }
	td.red  { background-color: #ff0000; }
    </style>

    <title>Benchsimple | @!title!@</title>
</head>

<body>
    <h1>Benchsimple | @!title!@</h1>
    <ul id="nav">
    <!--(for i in enumerate(navigation))-->
        <li><a href="@!i[1]["href"]!@" id="btn-$!i[0]+1!$">@!i[1]["caption"]!@</a></li>
    <!--(end)-->
    </ul>

    <table>
    <!--(for i in enumerate(table))-->
        <tr class="$!'row2' if i[0]%2 else 'row1'!$">
        <!--(for col in i[1])-->
            <td$!' class="red"' if col==highlight else ''!$>@!col!@</td>
        <!--(end)-->
        </tr>
    <!--(end)-->
    </table>

</body>
</html>
""",

"x":
            """<td$!'class="red"' if col==33!$>@!col!@</td>""",

"module"   : "cubictemp",
"import"   : "import cubictemp",
"complete" : "t = cubictemp.Template(template); r = t(**context_dict)",
"parse"    : "t = cubictemp.Template(template)",
"render"   : "r = t(**context_dict)"
}

#-----------------------------------------

