#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# see benchsimple.py
# configuration for EmPy

#-----------------------------------------

config = {

"template" : """\
@{
import cgi
}@
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
          "http://www.w3.org/TR/html4/loose.dtd">
<html>

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <style type="text/css">
	tr.row1 { background-color: #00ffff; }
	tr.row2 { background-color: #ffff00; }
	td.red  { background-color: #ff0000; }
    </style>

    <title>Benchsimple | @(cgi.escape(title))</title>
</head>

<body>
    <h1>Benchsimple | @(cgi.escape(title))</h1>
    <ul id="nav">@
@[for n,item in enumerate(navigation)]
        <li><a href="@(cgi.escape(item["href"], quote=True).replace("'","&#39;"))" id="btn-@(n+1)">@(cgi.escape(item["caption"]))</a></li>@
@[end for]
    </ul>

    <table>@
@[for n,row in enumerate(table)]
        <tr class="@[if n%2]@"row2"@[else]@"row1"@[end if]">@
@[for col in row]
            <td@[if col==highlight]@' class="red"'@[end if]>@(cgi.escape(str(col)))</td>@
@[end for]
        </tr>@
@[end for]
    </table>

</body>
</html>
""",

"module"   : "em",
"import"   : "import em",
"complete" : "r = em.expand(template, **context_dict)",
"parse"    : "",
"render"   : ""
}

#-----------------------------------------

